LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XTransferableSupplier Interface Reference

`import "XTransferableSupplier.idl";`

Inheritance diagram for XTransferableSupplier:

## Public Member Functions
XTransferable | getTransferable ()
| To get access to a transferable representation of a selected part of an object.
void | insertTransferable ([in] XTransferable xTrans) raises ( UnsupportedFlavorException )
| Hands over a transferable object that shall be inserted.

## Member Function Documentation

## ◆ getTransferable()

XTransferable getTransferable | ( |  | ) |

To get access to a transferable representation of a selected part of an object.

Returns
  The transferable object representing the selection inside the supplying object

See also
  com::sun::star::datatransfer::XTransferable

## ◆ insertTransferable()

void insertTransferable | ( | [in] XTransferable | xTrans | ) |
raises | ( | UnsupportedFlavorException ) |  |  |

Hands over a transferable object that shall be inserted.

Parameters

  xTrans | The transferable object to be inserted

A NULL value is not allowed.

Exceptions

  com::sun::star::datatransfer::UnsupportedFlavorException | if the given com::sun::star::datatransfer::XTransferable has no com::sun::star::datatransfer::DataFlavor or the called object can't handle any of the available ones.

See also
  com::sun::star::datatransfer::XTransferable

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferableSupplier.idl